Bug 227438 - Epiphany is very slow on page rendering or crashes (pango enabled)
Epiphany is very slow on page rendering or crashes (pango enabled)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-05 17:05 EST by Nikos Charonitakis
Modified: 2008-04-09 10:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2007-02-05 17:05:05 EST
Description of problem:
I am forced to use pango enabled epiphany because of some bugs that i submitted
earlier. Now i have performance issues or crashes.
Try to use this page to see what i mean:
http://weblog.infoworld.com/openresource/archives/open_source/index.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2007-12-10 04:24:38 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 2 Nikos Charonitakis 2007-12-10 16:07:25 EST
Yes, the problem with this specific page exists on fedora 8 and latest epiphany
2.20. Check it for yourself for a moment to see what happens.(things get worse
if you use a relative slow pc)

If pango is disabled then things getting  better and you get a message about "a
script not responding" and you can choose  between "continue" or "stop script".
If you press "continue" epiphany freezes for 2-3 seconds.
Comment 3 Matěj Cepl 2007-12-10 18:38:19 EST
can fully reproduce here both with epiphany-2.20.2-1.fc8 as well as with
firefox-2.0.0.10-2.fc8
Browser gets totally unresponsive and although neither of them crashes (and I
have pretty good hardware here), I get always that "a script not responding dialog".

The page is huge. Could it be that it is just that?
Comment 4 Matěj Cepl 2008-02-21 17:35:20 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-02-21 17:36:39 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Matěj Cepl 2008-04-09 10:05:28 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.